/*
设置价格
*/

//获取手机屏幕大小信息
var sw = 0
var sh = 0
//是否为iPhoneX
let isiPhoneX = false
wx.getSystemInfo({
  success: function (res) {
    sw = res.screenWidth
    sh = res.screenHeight
    let mobileType = res.model
    if (mobileType == 'iPhone X') isiPhoneX = true
    else isiPhoneX = false
  }
})
const screenWidth = sw
const screenHeight = sh
var imgx = 0
var imgy = 0
if (isiPhoneX) {
  imgx = (screenWidth - 240 - 35) / 3
  imgy = (screenHeight - 95) / 9
} else {
  imgx = (screenWidth - 180) / 3
  imgy = (screenHeight - 95) / 9
}
const imgX = imgx
const imgY = imgy
export default class Price{
  setPrice(context,image,index,name,price){
    
    if(isiPhoneX){
      var ratio = image.width / image.height
      context.drawImage(image, 50 * 2 + 70, 50 * 2 + (index * (imgY + 5)) * 2 + 10, (imgY - 5) * ratio * 2, (imgY - 5) * 2)
      context.fillStyle = '#000'
      context.font = "24px Arial"
      context.fillText(name, 50 * 2 +70+ imgY * ratio * 2 + 20, 50 * 2 + imgY * 2 - 15 + (index * (imgY + 5)) * 2)
      context.fillText("¥" + price, (screenWidth - 160) * 2, 50 * 2 + imgY * 2 - 15 + (index * (imgY + 5)) * 2)
      context.fillStyle = '#FFA500'
      context.fillRect((screenWidth - 100) * 2, 50 * 2 + imgY * 2 - 50 + (index * (imgY + 5)) * 2, 40 * 2, 25 * 2)
      context.fillStyle = '#fff'
      context.fillText('报价', (screenWidth - 100) * 2 + 15, 50 * 2 + imgY * 2 - 15 + (index * (imgY + 5)) * 2)
      context.fillStyle = '#D3D3D3'
      context.fillRect(50 * 2+70, 46 * 2 + ((index + 1) * (imgY + 5)) * 2, (screenWidth - 110) * 2 - 70, 2)
    }else{
      image.onload = function () {
        var ratio = image.width / image.height
        context.drawImage(image, 50 * 2, 50 * 2 + (index * (imgY + 5)) * 2 + 10, (imgY - 5) * ratio * 2, (imgY-5) * 2)
        context.fillStyle = '#000'
        context.font = "24px Arial"
        context.fillText(name, 50 * 2 + imgY * ratio * 2 + 20, 50 * 2 + imgY * 2 - 15 + (index * (imgY + 5)) * 2)
        context.fillText("¥" + price, (screenWidth - 160) * 2, 50 * 2 + imgY * 2 - 15 + (index * (imgY + 5)) * 2)
        context.fillStyle = '#FFA500'
        context.fillRect((screenWidth - 100) * 2, 50 * 2 + imgY * 2 - 50 + (index * (imgY + 5)) * 2, 40 * 2, 25 * 2 )
        context.fillStyle = '#fff'
        context.fillText('报价', (screenWidth - 100) * 2 + 15, 50 * 2 + imgY * 2 - 15 + (index * (imgY + 5)) * 2)
        context.fillStyle = '#D3D3D3'
        context.fillRect(50 * 2, 46 * 2 + ((index + 1) * (imgY + 5)) * 2,(screenWidth-110)*2,2)
      }
    }
  }
}